/*
 * 文件名：MscDialog.java 2.5.1027.1040 Dec 11,2013
 * 描述 ：MSC对话框，包括显示、取消弹框
 * 作者:iFLytek
 * 版权：科大讯飞
 */
package com.iflytek.cloud.ui.control;


import android.app.Dialog;
import android.content.Context;
import android.graphics.drawable.ColorDrawable;
import android.os.Bundle;
import android.view.Window;

public class MscDialog extends Dialog{

	protected MscView   mView = null;
	/**
	 * 初始化MscDialog
	 * @param context
	 */
	public MscDialog(Context context) {
		super(context);
	}

	/**
	 * 设置Dialog样式
	 */
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		
		requestWindowFeature(Window.FEATURE_NO_TITLE);
		setContentView(mView);
		/* 设置背景蒙版*/
		getWindow().setBackgroundDrawable(new ColorDrawable(0x00000000));
	}
	
	/**
	 * 显示Dialog，设置Dialog外面点击事件
	 */
	public void show() {
		setCanceledOnTouchOutside(true);
		mView.setExitCallBack(mDismissCall);
		mView.start();
		super.show();
	}
	
	/**
	 * 取消View显示.
	 */
	public void dismiss() {
		mView.cancel();
		super.dismiss();
	}
	
	private DismissCallBack mDismissCall = new DismissCallBack()
	{
		@Override
		public void exit() {
			dismiss();
		}
	};
	
	
	/**
	 * 销毁对话框及识别、合成对象
	 */
	public boolean destroy()
	{
		if(isShowing())
			return false;
		boolean ret = mView.destroy();
		mView = null;
		return ret;
	}
	
	/**
	 * 通过View的回调函数，通知Dialog退出
	 */
	public interface DismissCallBack {
		void exit();
	}
	

	
}
